{% extends 'id/id_base.html' %}
{% load static %}

{% block content %}
    <section>
        <div class="spacer">
            <h3 class="h3 c-blue mb-3">
                {{ observation.common_name|default:"Unidentified" }}
                <span class="h6 ms-1 c-lightblue">
                    <i>({{ observation.scientific_name|default:"Unidentified" }})</i>
                </span>
                {% if observation.status == 'VERIFIED' %}
                    <i class="bi bi-patch-check-fill c-lightblue-2 ms-2"></i>
                {% endif %}
            </h3>
            <div class="card">
                <div class="card-body">
                    <div class="row">
                        <div class="col-xs-12 col-lg-6 mb-3">
                            <div class="d-flex align-items-center mb-3">
                                {% if observation.reporter and observation.reporter.image %}
                                    <img class="avatar" src="{{ observation.reporter.image.url }}" alt="placeholder"/>
                                {% else %}
                                    <img class="avatar" src="{% static 'images/common/placeholder.jpeg' %}"
                                         alt="placeholder"/>
                                {% endif %}
                                <h3 class="h3 c-blue ps-3">{{ observation.reporter.username }}</h3>
                            </div>
                            <hr/>
                            <div class="row">
                                <div class="col-6">
                                    <p>
                                        <b>Diamati:</b> <br/>
                                        <i class="bi bi-eye"></i> {{ observation.datetime|date:'M Y' }}
                                    </p>
                                </div>
                                <div class="col-6">
                                    <p>
                                        <b>Dikirim:</b> <br/>
                                        <i class="bi bi-eye"></i> {{ observation.created_at|date:'d M Y' }}
                                    </p>
                                </div>
                            </div>
                            <div style="height: 250px;" id="map"></div>
                        </div>
                        <div class="col-xs-12 col-lg-6 my-auto d-block">
                            {% if observation_image %}
                                <img src="{{ observation_image.image.url }}" class="observation-image">
                            {% else %}
                                <img src="{% static 'images/common/no-image.jpeg' %}"
                                     class="observation-image">
                            {% endif %}
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <section>
        <div class="spacer">
            <h3 class="h3 c-blue mb-3">
                Detail Data
            </h3>
            <table class="table">
                <tbody>
                <tr>
                    <td>Dilaporkan Oleh</td>
                    {% if observation.submitter %}
                        <td>{{ observation.submitter }}</td>
                    {% else %}
                        <td>{{ observation.reporter.full_name }}</td>
                    {% endif %}
                </tr>
                <tr>
                    <td>Tanggal dan Waktu</td>
                    <td>{{ observation.datetime|date:"d M Y - H:i" }}</td>
                </tr>
                <tr>
                    <td>Lokasi</td>
                    <td>{{ observation.location }}</td>
                </tr>
                <tr>
                    <td>Provinsi</td>
                    <td>{{ observation.province }}</td>
                </tr>
                <tr>
                    <td>Berat</td>
                    <td>{{ observation.weight|floatformat:2|default:0 }} kg</td>
                </tr>
                <tr>
                    <td>Panjang</td>
                    <td>{{ observation.length|floatformat:2|default:0 }} meter</td>
                </tr>
                <tr>
                    <td>Deskripsi Pertemuan</td>
                    <td>
                        <textarea class="form-control" rows="5"
                                  readonly>{{ observation.description|default:"" }}</textarea>
                    </td>
                </tr>
                </tbody>
            </table>
        </div>
    </section>
    <section>
        <div class="spacer">
            <h3 class="h3 c-blue mb-3">
                Aktivitas
            </h3>
            <div class="card mb-3">
                <div class="card-header">
                    <div class="d-flex justify-content-between align-items-center">
                        <div class="me-2">
                            {% if observation.reporter and observation.reporter.image %}
                                <img class="avatar" src="{{ observation.reporter.image.url }}" alt="placeholder"/>
                            {% else %}
                                <img class="avatar" src="{% static 'images/common/placeholder.jpeg' %}"
                                     alt="placeholder"/>
                            {% endif %}
                            <a class="no-link c-black"
                               href="{% url 'frontend:contributor_profile_user' observation.reporter.username %}">
                                {{ observation.reporter.username }}
                            </a>
                        </div>
                        <div>
                            <span class="badge rounded-pill bg-secondary">Reporter</span>
                        </div>
                    </div>
                </div>
                <div class="card-body">
                    <h6 class="h6 c-blue mb-3">
                        {{ observation.common_name|default:"Unidentified" }} <br/>
                        <span class="h6 c-lightblue">
                            <i>({{ observation.scientific_name|default:"Unidentified" }})</i>
                        </span>
                    </h6>
                </div>
            </div>
            {% if observation.status != 'VERIFIED' %}
                {% for reply in observation_replies %}
                    <div class="card mb-3">
                        <div class="card-header">
                            <div class="d-flex align-items-center">
                                <div class="me-2">
                                    {% if reply.user and reply.user.image %}
                                        <img class="avatar" src="{{ reply.user.image.url }}"
                                             alt="placeholder"/>
                                    {% else %}
                                        <img class="avatar" src="{% static 'images/common/placeholder.jpeg' %}"
                                             alt="placeholder"/>
                                    {% endif %}
                                    <a class="no-link c-black"
                                       href="{% url 'frontend:contributor_profile_user' reply.user.username %}">
                                        {{ reply.user.username }}
                                    </a>
                                </div>
                                {% if reply.is_verified %}
                                    <i class="bi bi-patch-check-fill c-lightblue-2"></i>
                                {% endif %}
                            </div>
                        </div>
                        <div class="card-body">
                            {{ reply.content|safe }}
                        </div>
                    </div>
                {% endfor %}
                <div class="card mt-3">
                    <div class="card-body">
                        <h6 class="mb-3">Sarankan Identifikasi</h6>
                        <form action="{% url 'backend:observation_reply' observation.pk %}" method="post">
                            {% csrf_token %}
                            <textarea name="content" id="content"></textarea>
                            <button type="submit" class="btn btn-primary mt-2">
                                Done
                            </button>
                        </form>
                    </div>
                </div>
            {% endif %}
        </div>
    </section>
{% endblock %}

{% block js %}
    <script>
        CKEDITOR.replace('content', {
            extraPlugins: 'colorbutton,colordialog'
        });
    </script>
    <script>
        let tiles = L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            maxZoom: 18,
            attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors, Points &copy 2012 LINZ'
        });

        let latlng = L.latLng({{ observation.latitude|safe }}, {{ observation.longitude|safe }});
        let map = L.map('map', {center: latlng, zoom: 10, layers: [tiles]});

        let marker = new L.Marker(latlng);
        let circleRadius = new L.circle(latlng, {{ observation.accuracy|default:1000 }});

        map.addLayer(marker);
        map.addLayer(circleRadius);
    </script>
{% endblock %}